Loading...
Searching...
No Matches
websocketpp::log::elevel Struct Reference

Package of log levels for logging errors. More...

`#include <levels.hpp>`

## Static Public Member Functions

static char const * | channel_name (level channel)
| Get the textual name of a channel given a channel id.

## Static Public Attributes

static level const | none = 0x0
| Special aggregate value representing "no levels".
static level const | devel = 0x1
| Low level debugging information (warning: very chatty).
static level const | library = 0x2
static level const | info = 0x4
static level const | warn = 0x8
static level const | rerror = 0x10
static level const | fatal = 0x20
static level const | all = 0xffffffff
| Special aggregate value representing "all levels".

## Detailed Description

Package of log levels for logging errors.

Definition at line 59 of file levels.hpp.

## Member Function Documentation

## channel_name()

char const * websocketpp::log::elevel::channel_name | ( | level | channel | ) |

inline static

Get the textual name of a channel given a channel id.

The id must be that of a single channel. Passing an aggregate channel package results in undefined behavior.

Parameters

  channel | The channel id to look up.

Returns
  The name of the specified channel.

Definition at line 91 of file levels.hpp.

## Member Data Documentation

## all

level const websocketpp::log::elevel::all = 0xffffffff

static

Special aggregate value representing "all levels".

Definition at line 80 of file levels.hpp.

## devel

level const websocketpp::log::elevel::devel = 0x1

static

Low level debugging information (warning: very chatty).

Definition at line 63 of file levels.hpp.

## fatal

level const websocketpp::log::elevel::fatal = 0x20

static

Unrecoverable error. This error will trigger immediate unclean termination of the connection or endpoint.

Definition at line 78 of file levels.hpp.

## info

level const websocketpp::log::elevel::info = 0x4

static

Information about minor configuration problems or additional information about other warnings.

Definition at line 69 of file levels.hpp.

## library

level const websocketpp::log::elevel::library = 0x2

static

Information about unusual system states or other minor internal library problems, less chatty than devel.

Definition at line 66 of file levels.hpp.

## none

level const websocketpp::log::elevel::none = 0x0

static

Special aggregate value representing "no levels".

Definition at line 61 of file levels.hpp.

## rerror

level const websocketpp::log::elevel::rerror = 0x10

static

Recoverable error. Recovery may mean cleanly closing the connection with an appropriate error code to the remote endpoint.

Definition at line 75 of file levels.hpp.

## warn

level const websocketpp::log::elevel::warn = 0x8

static

Information about important problems not severe enough to terminate connections.

Definition at line 72 of file levels.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/logger/levels.hpp